=== debian/changelog ===
edk2 (0~20180803.dd4cae4d-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/patches/enroll-default-keys.patch: Build EnrollDefaultKeys.efi to
      provide an automated way of injecting Microsoft signing keys in VMs that
      need them.
    - debian/control: add genisoimage, qemu-utils, qemu-system-x86, python3 to
      Build-Depends for the automatic key enrollment process.
    - debian/rules:
      - build a SecureBoot/SMM enabled variant of OVMF_CODE too.
      - build OVMF_VARS.ms.fd with embedded Microsoft keys from the binary
        EnrollDefaultKeys.efi
    - debian/ovmf.links: add OVMF_CODE.ms.fd.
    - debian/ovmf.install: install OVMF_VARS.ms.fd.

 -- dann frazier <dannf@ubuntu.com>  Tue, 14 Aug 2018 16:09:06 -0600

edk2 (0~20180803.dd4cae4d-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Point the Vcs-* links to the new location on salsa.
  * d/p/ShellPkg-dp-Correct-case-of-included-file.patch: Drop;
    now upstream.

 -- dann frazier <dannf@debian.org>  Fri, 03 Aug 2018 15:35:01 -0600

edk2 (0~20180626.e5735040-1) unstable; urgency=medium

  * New upstream release.
  * d/p/ShellPkg-dp-Correct-case-of-included-file.patch: Add; fixes FTBFS.
  * debian/control: Point the Vcs-* links to the edk2 project in my
    namespace on salsa until we identify a more permanent location.

 -- dann frazier <dannf@debian.org>  Tue, 26 Jun 2018 17:06:59 -0600

edk2 (0~20180503.ebafede9-1ubuntu1) cosmic; urgency=medium

  * debian/patches/enroll-default-keys.patch: Build EnrollDefaultKeys.efi to
    provide an automated way of injecting Microsoft signing keys in VMs that
    need them.
  * debian/control: add genisoimage, qemu-utils, qemu-system-x86, python3 to
    Build-Depends for the automatic key enrollment process.
  * debian/rules:
    - build a SecureBoot/SMM enabled variant of OVMF_CODE too.
    - build OVMF_VARS.ms.fd with embedded Microsoft keys from the binary
      EnrollDefaultKeys.efi
  * debian/ovmf.links: add OVMF_CODE.ms.fd.
  * debian/ovmf.install: install OVMF_VARS.ms.fd.

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Fri, 08 Jun 2018 15:36:47 -0700

edk2 (0~20180503.ebafede9-1) unstable; urgency=medium

  * New upstream release.

 -- dann frazier <dannf@debian.org>  Thu, 03 May 2018 17:00:35 -0600

edk2 (0~20180328.c27c0003-1) unstable; urgency=medium

  * New upstream release.
  * Bump openssl up to latest upstream version, 1.1.0h.

 -- dann frazier <dannf@debian.org>  Wed, 28 Mar 2018 11:06:08 -0600
