=== debian/changelog ===
edk2 (0~20181115.85588389-3+deb10u4) buster-security; urgency=high

  * Non-maintainer upload by the LTS team.
  * Disable the built-in Shell when SecureBoot is enabled, CVE-2023-48733.
    Thanks to Mate Kukri. LP: #2040137.
    - Backport support for GetSetupMode() and IsSecureBootEnabled():
      + 0001-SecurityPkg-Create-SecureBootVariableLib.patch
      + 0002-ArmVirtPkg-add-SecureBootVariableLib-class-resolutio.patch
      + 0003-OvmfPkg-add-SecureBootVariableLib-class-resolution.patch
      + 0004-SecurityPkg-SecureBootVariableLib-Added-newly-suppor.patch
      + 0005-EmulatorPkg-add-SecureBootVariableLib-class-resoluti.patch
    - Disable the built-in Shell when SecureBoot is enabled:
      + Disable-the-Shell-when-SecureBoot-is-enabled.patch
    - d/tests: Drop the boot-to-shell tests for images w/ Secure Boot active.

 -- Markus Koschany <apo@debian.org>  Sun, 30 Jun 2024 21:33:14 +0200

edk2 (0~20181115.85588389-3+deb10u3) buster; urgency=medium

  * CryptoPkg/BaseCryptLib: fix NULL dereference. (CVE-2019-14584)
    (Closes: #977300)
     - d/p/CryptoPkg-BaseCryptLib-fix-NULL-dereference-CVE-2019.patch

 -- dann frazier <dannf@debian.org>  Tue, 15 Dec 2020 12:30:28 -0700

edk2 (0~20181115.85588389-3+deb10u2) buster; urgency=medium

  * Fix integer overflow in DxeImageVerificationHandler. (CVE-2019-14562)
    (Closes: #968819)
     - d/p/0001-SecurityPkg-DxeImageVerificationLib-extract-SecDataD.patch
     - d/p/0002-SecurityPkg-DxeImageVerificationLib-assign-WinCertif.patch
     - d/p/0003-SecurityPkg-DxeImageVerificationLib-catch-alignment-.patch

 -- dann frazier <dannf@debian.org>  Thu, 17 Sep 2020 13:45:52 -0600

edk2 (0~20181115.85588389-3+deb10u1) buster; urgency=medium

  * Fix numeric truncation in S3BootScript[Save]*() API. (CVE-2019-14563)
  * Fix use-after-free in PcdHiiOsRuntimeSupport. (CVE-2019-14586)
  * Clear memory before free to avoid potential password leak.
    (CVE-2019-14558)
  * Fix double-unmap in SdMmcCreateTrb(). This did not impact any
    of the images built from this package. (CVE-2019-14587)
  * Fix memory leak in ArpOnFrameRcvdDpc(). (CVE-2019-14559)
  * Fix issue that could allow an efi image with a blacklisted hash in the
    dbx to be loaded. (CVE-2019-14575) (Closes: 952935)
  * Fix a memory leak in the ARP handler. (CVE-2019-14559) (Closes: #952926)

 -- dann frazier <dannf@debian.org>  Thu, 23 Apr 2020 13:33:06 -0600

edk2 (0~20181115.85588389-3) unstable; urgency=medium

  * Security fixes (Closes: #924615):
    - Fix buffer overflow in BlockIo service (CVE-2018-12180)
    - DNS: Check received packet size before using (CVE-2018-12178)
    - Fix stack overflow with corrupted BMP (CVE-2018-12181)

 -- dann frazier <dannf@debian.org>  Fri, 15 Mar 2019 18:37:44 -0600

edk2 (0~20181115.85588389-2) unstable; urgency=medium

  * debian/rules: Factor out common feature flags across builds.
  * ovmf: Enable TPM2 device support. Closes: #914722.

 -- dann frazier <dannf@debian.org>  Mon, 26 Nov 2018 16:34:54 -0700

edk2 (0~20181115.85588389-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable201811 tag.

 -- dann frazier <dannf@debian.org>  Thu, 15 Nov 2018 11:28:06 -0700

edk2 (0~20180812.cb5f4f45-1) unstable; urgency=medium

  * New upstream release, based on edk2-stable201808 tag.

 -- dann frazier <dannf@debian.org>  Thu, 06 Sep 2018 16:12:41 -0600
