=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: edk2
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
+Maintainer: Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>, Serge Hallyn <serge.hallyn@ubuntu.com>, dann frazier <dannf@debian.org>
-Build-Depends: debhelper (>= 10), uuid-dev, iasl, gcc-multilib [i386], nasm, python, gcc-aarch64-linux-gnu, gcc-arm-linux-gnueabihf, genisoimage, qemu-utils, qemu-system-x86, python3
+Build-Depends: debhelper (>= 10), uuid-dev, iasl, gcc-multilib [i386], nasm, python, gcc-aarch64-linux-gnu, gcc-arm-linux-gnueabihf
 Standards-Version: 4.1.3
 Homepage: http://www.tianocore.org
 Vcs-Git: https://salsa.debian.org/qemu-team/edk2.git
