=== debian/rules ===
--- 
+++ 
@@ -38,6 +38,10 @@
 	EDK2_HOST_ARCH=IA32
 endif
 
+COMMON_FLAGS = -DHTTP_BOOT_ENABLE=TRUE -DSECURE_BOOT_ENABLE=TRUE
+OVMF_FLAGS   = $(COMMON_FLAGS) -DFD_SIZE_2MB -DTPM2_ENABLE=TRUE
+AAVMF_FLAGS  = $(COMMON_FLAGS) -DINTEL_BDS
+
 # Clear variables used internally by the edk2 build system
 undefine WORKSPACE
 undefine ECP_SOURCE
@@ -67,7 +71,6 @@
 	cd UefiCpuPkg/ResetVector/Vtf0 && python Build.py
 	mkdir -p EdkShellBinPkg/FullShell/$(EDK2_ARCH_DIR) \
 	         FatBinPkg/EnhancedFatDxe/$(EDK2_ARCH_DIR)
-	mkdir ovmf/
 	set -e; . ./edksetup.sh; \
 		build -a $(EDK2_HOST_ARCH) -p EdkShellPkg/EdkShellPkg.dsc -m Shell/ShellFull.inf \
 			-b RELEASE -t $(EDK2_TOOLCHAIN); \
@@ -80,31 +83,7 @@
 		build -a $(EDK2_HOST_ARCH) \
 			-t $(EDK2_TOOLCHAIN) \
 			-p OvmfPkg/OvmfPkgX64.dsc \
-			-DHTTP_BOOT_ENABLE=TRUE \
-			-DSECURE_BOOT_ENABLE=TRUE \
-			-DFD_SIZE_2MB \
-			-b RELEASE; \
-		cp Build/Ovmf$(EDK2_HOST_ARCH)/*/FV/OVMF_*.fd ovmf/; \
-		rm -rf Build/Ovmf$(EDK2_HOST_ARCH); \
-		build -a $(EDK2_HOST_ARCH) \
-			-t $(EDK2_TOOLCHAIN) \
-			-p OvmfPkg/OvmfPkgX64.dsc \
-			-DHTTP_BOOT_ENABLE=TRUE \
-			-DSECURE_BOOT_ENABLE=TRUE \
-			-DSMM_REQUIRE=TRUE \
-			-DFD_SIZE_2MB \
-			-b RELEASE; \
-		cp Build/Ovmf$(EDK2_HOST_ARCH)/*/FV/OVMF_CODE.fd ovmf/OVMF_CODE.secboot.fd
-	cp Build/Ovmf$(EDK2_HOST_ARCH)/RELEASE_*GCC*/$(EDK2_ARCH_DIR)/EnrollDefaultKeys.efi ovmf/
-	cp Build/Ovmf$(EDK2_HOST_ARCH)/RELEASE_*GCC*/$(EDK2_ARCH_DIR)/Shell.efi ovmf/
-	debian/build-iso.sh ovmf/
-	python3 debian/ovmf-vars-generator --qemu-binary /usr/bin/qemu-system-x86_64 \
-		--disable-smm \
-		--skip-testing \
-		--ovmf-binary ovmf/OVMF_CODE.fd \
-		--ovmf-template-vars ovmf/OVMF_VARS.fd \
-		--uefi-shell-iso ovmf/UefiShell.iso \
-		ovmf/OVMF_VARS.ms.fd
+			$(OVMF_FLAGS) -b RELEASE
 endif
 
 build-qemu-efi: setup-build
@@ -122,10 +101,7 @@
 		build -a $(EDK2_HOST_ARCH) \
 			-t $(EDK2_TOOLCHAIN) \
 			-p ArmVirtPkg/ArmVirtQemu.dsc \
-			-DHTTP_BOOT_ENABLE=TRUE \
-			-DSECURE_BOOT_ENABLE=TRUE \
-			-DINTEL_BDS \
-			-b RELEASE
+			$(AAVMF_FLAGS) -b RELEASE
 	dd if=/dev/zero of=Build/ArmVirtQemu-$(EDK2_HOST_ARCH)/RELEASE_$(EDK2_TOOLCHAIN)/FV/$(FW_NAME)_CODE.fd bs=1M seek=64 count=0
 	dd if=Build/ArmVirtQemu-$(EDK2_HOST_ARCH)/RELEASE_$(EDK2_TOOLCHAIN)/FV/QEMU_EFI.fd of=Build/ArmVirtQemu-$(EDK2_HOST_ARCH)/RELEASE_$(EDK2_TOOLCHAIN)/FV/$(FW_NAME)_CODE.fd conv=notrunc
 	dd if=/dev/zero of=Build/ArmVirtQemu-$(EDK2_HOST_ARCH)/RELEASE_$(EDK2_TOOLCHAIN)/FV/$(FW_NAME)_VARS.fd bs=1M seek=64 count=0
