## edk2 0~20181115.85588389.1

=== debian/changelog ===
edk2 (0~20181115.85588389.1-1+eagle) unstable; urgency=medium

  * update

 -- Debian QEMU Team <pkg-qemu-devel@lists.alioth.debian.org>  Tue, 02 Feb 2021 17:30:55 +0800
