=== debian/changelog ===
edk2 (0~20190309.89910a39-1ubuntu1) disco; urgency=medium

  * Merge with Debian experimental. Remaining changes:
    - debian/patches/enroll-default-keys.patch: Build EnrollDefaultKeys.efi to
      provide an automated way of injecting Microsoft signing keys in VMs that
      need them.
    - debian/control: add genisoimage, qemu-utils, qemu-system-x86, python3 to
      Build-Depends for the automatic key enrollment process.
    - debian/rules:
      - build a SecureBoot/SMM enabled variant of OVMF_CODE too.
      - build OVMF_VARS.ms.fd with embedded Microsoft keys from the binary
        EnrollDefaultKeys.efi
    - debian/ovmf.links: add OVMF_CODE.ms.fd.
    - debian/ovmf.install: install OVMF_VARS.ms.fd.
  * debian/control: Fold and sort Build-Depends line.
  * debian/control: Add bc to Build-Depends, as it is now used by
    edksetup.sh.
  * debian/control: Add python3-distutils to Build-Depends. Part of
    the build will now use python3 instead of python if found at build-time.
    However, the build requires distutils, and upstream only embeds the
    python(2) version of that.

 -- dann frazier <dann.frazier@canonical.com>  Mon, 18 Mar 2019 21:44:41 -0600

edk2 (0~20190309.89910a39-1) experimental; urgency=medium

  * New upstream release, based on edk2-stable201903 tag.
    - Fixes for CVE-2018-12178, CVE-2018-12180 and CVE-2018-12181
      Closes: #924615.
    - qemu-efi-*: Avoid silent corruption of firmware flash image
      by buggy EFI apps. Closes: #924620, LP: #1812093.
    - d/binary-check.blacklist: Drop binaries removed upstream.
    - d/binary-check.whitelist: Add new files detected as binary
      that were hand-verified to be source.
    - Bump openssl up to 1.1.0j.
    - qemu-efi-{arm,aarch64}: Drop -DINTEL_BDS from build flags.
      It became the default some time ago and was removed.
    - ovmf: Stop cargo-culting the inclusion and build of external
      EdkShell source. This is now no longer supported by upstream,
      and is a no-op because it was replaced by the internal UEFI
      shell back 2013 (9bef3cdc "OvmfPkg: Build and use the UEFI shell
      by default").
    - qemu-efi-{arm,aarch64}: Don't explicitly build ShellPkg,
      ArmVirtPkg has been doing it since 2015 (da1ce6f8
      "ArmVirtualizationPkg: build UEFI shell from source").
    - Don't explicitly build FatPkg, OvmfPkg & ArmVirtPkg have
      included it since 2016 (aa47e529 "OvmfPkg: Convert to using
      FatPkg in the EDK II tree"), (42e3d9eb "ArmVirtPkg: Convert to
      build FatPkg from source").
    - d/p/no-missing-braces.diff: Forward port.
    - d/p/no-stack-protector-all-archs.diff: Forward port.

 -- dann frazier <dannf@debian.org>  Mon, 18 Mar 2019 15:38:21 -0600

edk2 (0~20181115.85588389-3ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/patches/enroll-default-keys.patch: Build EnrollDefaultKeys.efi to
      provide an automated way of injecting Microsoft signing keys in VMs that
      need them.
    - debian/control: add genisoimage, qemu-utils, qemu-system-x86, python3 to
      Build-Depends for the automatic key enrollment process.
    - debian/rules:
      - build a SecureBoot/SMM enabled variant of OVMF_CODE too.
      - build OVMF_VARS.ms.fd with embedded Microsoft keys from the binary
        EnrollDefaultKeys.efi
    - debian/ovmf.links: add OVMF_CODE.ms.fd.
    - debian/ovmf.install: install OVMF_VARS.ms.fd.

 -- dann frazier <dannf@ubuntu.com>  Fri, 15 Mar 2019 19:40:03 -0600

edk2 (0~20181115.85588389-1ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - debian/patches/enroll-default-keys.patch: Build EnrollDefaultKeys.efi to
      provide an automated way of injecting Microsoft signing keys in VMs that
      need them.
    - debian/control: add genisoimage, qemu-utils, qemu-system-x86, python3 to
      Build-Depends for the automatic key enrollment process.
    - debian/rules:
      - build a SecureBoot/SMM enabled variant of OVMF_CODE too.
      - build OVMF_VARS.ms.fd with embedded Microsoft keys from the binary
        EnrollDefaultKeys.efi
    - debian/ovmf.links: add OVMF_CODE.ms.fd.
    - debian/ovmf.install: install OVMF_VARS.ms.fd.

 -- dann frazier <dannf@ubuntu.com>  Thu, 15 Nov 2018 13:58:08 -0700
