=== debian/rules ===
--- 
+++ 
@@ -3,12 +3,9 @@
 SHELL=/bin/bash
 
 # various bits that have to be pulled in to create the full source tarball
-OPENSSL_VER= 1.1.0h
+OPENSSL_VER= 1.1.0j
 OPENSSL_SRC= openssl-$(OPENSSL_VER).tar.gz
 OPENSSL_URL= http://www.openssl.org/source/$(OPENSSL_SRC)
-SHELL_SRC  = https://svn.code.sf.net/p/efi-shell/code/trunk/Shell
-SHELL_REV  = 64
-
 
 # Only used for creating our build tools.
 DEB_BUILD_ARCH ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
@@ -40,7 +37,8 @@
 
 COMMON_FLAGS = -DHTTP_BOOT_ENABLE=TRUE -DSECURE_BOOT_ENABLE=TRUE
 OVMF_FLAGS   = $(COMMON_FLAGS) -DFD_SIZE_2MB -DTPM2_ENABLE=TRUE
-AAVMF_FLAGS  = $(COMMON_FLAGS) -DINTEL_BDS
+OVMF_SB_FLAGS = $(OVMF_FLAGS) -DSMM_REQUIRE=TRUE
+AAVMF_FLAGS  = $(COMMON_FLAGS)
 
 # Clear variables used internally by the edk2 build system
 undefine WORKSPACE
@@ -69,35 +67,33 @@
 build-ovmf: setup-build
 ifneq (,$(findstring ovmf, $(shell dh_listpackages)))
 	cd UefiCpuPkg/ResetVector/Vtf0 && python Build.py
-	mkdir -p EdkShellBinPkg/FullShell/$(EDK2_ARCH_DIR) \
-	         FatBinPkg/EnhancedFatDxe/$(EDK2_ARCH_DIR)
+	mkdir ovmf/
 	set -e; . ./edksetup.sh; \
-		build -a $(EDK2_HOST_ARCH) -p EdkShellPkg/EdkShellPkg.dsc -m Shell/ShellFull.inf \
-			-b RELEASE -t $(EDK2_TOOLCHAIN); \
-		cp -a Build/EdkShellPkg/RELEASE_$(EDK2_TOOLCHAIN)/$(EDK2_ARCH_DIR)/ShellFull.efi \
-			EdkShellBinPkg/FullShell/$(EDK2_ARCH_DIR)/Shell_Full.efi; \
-		build -a $(EDK2_HOST_ARCH) -p FatPkg/FatPkg.dsc -m FatPkg/EnhancedFatDxe/Fat.inf \
-			-b RELEASE -t $(EDK2_TOOLCHAIN); \
-		cp -a Build/Fat/RELEASE_$(EDK2_TOOLCHAIN)/$(EDK2_ARCH_DIR)/Fat.efi \
-			FatBinPkg/EnhancedFatDxe/$(EDK2_ARCH_DIR)/Fat.efi; \
 		build -a $(EDK2_HOST_ARCH) \
 			-t $(EDK2_TOOLCHAIN) \
 			-p OvmfPkg/OvmfPkgX64.dsc \
-			$(OVMF_FLAGS) -b RELEASE
+			$(OVMF_FLAGS) -b RELEASE; \
+		cp Build/Ovmf$(EDK2_HOST_ARCH)/*/FV/OVMF_*.fd ovmf/; \
+		rm -rf Build/Ovmf$(EDK2_HOST_ARCH); \
+		build -a $(EDK2_HOST_ARCH) \
+			-t $(EDK2_TOOLCHAIN) \
+			-p OvmfPkg/OvmfPkgX64.dsc \
+			$(OVMF_SB_FLAGS) -b RELEASE; \
+		cp Build/Ovmf$(EDK2_HOST_ARCH)/*/FV/OVMF_CODE.fd ovmf/OVMF_CODE.secboot.fd
+	cp Build/Ovmf$(EDK2_HOST_ARCH)/RELEASE_*GCC*/$(EDK2_ARCH_DIR)/EnrollDefaultKeys.efi ovmf/
+	cp Build/Ovmf$(EDK2_HOST_ARCH)/RELEASE_*GCC*/$(EDK2_ARCH_DIR)/Shell.efi ovmf/
+	debian/build-iso.sh ovmf/
+	python3 debian/ovmf-vars-generator --qemu-binary /usr/bin/qemu-system-x86_64 \
+		--disable-smm \
+		--skip-testing \
+		--ovmf-binary ovmf/OVMF_CODE.fd \
+		--ovmf-template-vars ovmf/OVMF_VARS.fd \
+		--uefi-shell-iso ovmf/UefiShell.iso \
+		ovmf/OVMF_VARS.ms.fd
 endif
 
 build-qemu-efi: setup-build
-	mkdir -p ShellBinPkg/UefiShell/$(EDK2_ARCH_DIR) FatBinPkg/EnhancedFatDxe/$(EDK2_ARCH_DIR)
 	set -e; . ./edksetup.sh; \
-		build -a $(EDK2_HOST_ARCH) -p ShellPkg/ShellPkg.dsc \
-			-b RELEASE -t $(EDK2_TOOLCHAIN); \
-		cp -a Build/Shell/RELEASE_$(EDK2_TOOLCHAIN)/$(EDK2_HOST_ARCH)/Shell.efi \
-			ShellBinPkg/UefiShell/$(EDK2_ARCH_DIR)/Shell.efi; \
-		build -a $(EDK2_HOST_ARCH) -p FatPkg/FatPkg.dsc \
-			-m FatPkg/EnhancedFatDxe/Fat.inf \
-			-t $(EDK2_TOOLCHAIN) -b RELEASE; \
-		cp -a Build/Fat/RELEASE_$(EDK2_TOOLCHAIN)/$(EDK2_HOST_ARCH)/Fat.efi \
-			FatBinPkg/EnhancedFatDxe/$(EDK2_ARCH_DIR)/Fat.efi; \
 		build -a $(EDK2_HOST_ARCH) \
 			-t $(EDK2_TOOLCHAIN) \
 			-p ArmVirtPkg/ArmVirtQemu.dsc \
@@ -137,9 +133,6 @@
 	rm -rf edk2-$(ver)/CryptoPkg/Library/OpensslLib/openssl && \
 		ln -s openssl-$(OPENSSL_VER) \
 		edk2-$(ver)/CryptoPkg/Library/OpensslLib/openssl
-	# efi shell
-	svn export -r$(SHELL_REV) $(SHELL_SRC) edk2-$(ver)/Shell
-	cd edk2-$(ver)/Shell && patch -p1 < ../EdkShellPkg/ShellR$(SHELL_REV).patch 
 	tar Jcvf ../edk2_$(ver).orig.tar.xz edk2-$(ver)
 	rm -rf edk2-$(ver) $(OPENSSL_SRC)
